Bug 131127

Summary: bookmark editor: tree state (collapsed/expanded) is not remembered
Product: [Applications] keditbookmarks Reporter: Maciej Pilichowski <bluedzins>
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Maciej Pilichowski 2006-07-20 19:43:39 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    SuSE RPMs

I can semi-reproduce it. The state is remembered in mysterious ways, so sometimes I manage to collapse all folders, and much more often -- I can't (I mean, I can collapse tree, but once I quit and run editor again, some nodes are expanded).
Comment 1 David Faure 2009-11-18 00:55:42 UTC
SVN commit 1050727 by dfaure:

Fix "bookmark editor: tree state (collapsed/expanded) is not remembered", regression from kde3.
It seems the same bug as in kde3 still exists though: if you just expand/collapse stuff and then quit,
no saving happens. You have to do a "real" change afterwards (rename something or so)...
BUG: 131127


 M  +45 -6     bookmarklistview.cpp  
 M  +11 -2     bookmarklistview.h  
 M  +3 -5      toplevel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1050727
Comment 2 David Faure 2009-11-18 01:12:07 UTC
SVN commit 1050729 by dfaure:

fix memleak on close; save again on close so that the expanded/collapsed state is remembered.
CCBUG: 131127
(this is the actual fix for it, I closed it too early)


 M  +1 -0      main.cpp  
 M  +4 -0      toplevel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1050729
Comment 3 David Faure 2010-01-21 19:32:21 UTC
SVN commit 1078194 by dfaure:

Backport r1050729: Save/restore the expanded/collapsed state of bookmark folders.
Fixed for: 4.3.5
CCBUG: 131127


 M  +1 -0      main.cpp  
 M  +4 -0      toplevel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1078194